Bug 175144 - Review Request: munin - Network-wide graphing framework
Review Request: munin - Network-wide graphing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
http://www.scrye.com/~kevin/munin/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-06 17:23 EST by Kevin Fenzi
Modified: 2008-04-21 11:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 14:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2005-12-06 17:23:19 EST
Spec Name or Url: http://www.scrye.com/~kevin/munin/munin.spec
SRPM Name or Url: http://www.scrye.com/~kevin/munin/munin-1.2.4-1.fc5.src.rpm
Description: Network-wide graphing framework

Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

The main munin package description: 
This package contains the grapher/gatherer. You will only need one instance of
it in your network. It will periodically poll all the nodes in your network
it's aware of for data, which it in turn will use to create graphs and HTML
pages, suitable for viewing with your graphical web browser of choice.

The munin-node package description: 
This package contains node software. You should install it on all the nodes
in your network. It will know how to extract all sorts of data from the
node it runs on, and will wait for the gatherer to request this data for
further processing.

It includes a range of plugins capable of extracting common values such as
cpu usage, network usage, load average, and so on. Creating your own plugins
which are capable of extracting other system-specific values is very easy,
and is often done in a matter of minutes. You can also create plugins which
relay information from other devices in your network that can't run Munin,
such as a switch or a server running another operating system, by using
SNMP or similar technology.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool.
Comment 1 Ed Hill 2005-12-06 20:34:57 EST
Hi Kevin, this isn't a thorough review but it is a start:

nits:
 - rpmlint reports:
     E: munin non-standard-uid /var/www/html/munin munin
     E: munin non-standard-gid /var/www/html/munin munin
     E: munin non-standard-uid /var/log/munin munin
     E: munin non-standard-gid /var/log/munin munin
     E: munin non-standard-uid /var/lib/munin munin
     E: munin non-standard-gid /var/lib/munin munin
     E: munin non-standard-uid /var/run/munin munin
     E: munin non-standard-gid /var/run/munin munin
     E: munin-node non-standard-uid /var/lib/munin/plugin-state munin
     E: munin-node non-standard-gid /var/lib/munin/plugin-state munin
   which seem to be safe to ignore

 - running "yum localinstall [...the two noarch rpms...]"
   results in two errors:
     Error: Missing Dependency: perl(DBD::Sybase) is needed by \
       package munin-node
     Error: Missing Dependency: perl(Net::SNMP) is needed by \
       package munin-node
   which I have no idea how to fix.  Perhaps someone else has a clue
   whats happening here -- is it somehow pulling in unnecessary 
   dependencies...?

good:
 + source matches upstream
 + spec is readable and looks OK
 + code not content
 + builds in mock on FC-4
 + appears to use the correct syntax wrt user and group
     creation:  http://fedoraproject.org/wiki/PackageUserCreation
 + dir ownership looks good
Comment 2 Kevin Fenzi 2005-12-07 19:46:02 EST
Thats for taking a look!

There is one plugin that needs DBD::Sybase, which is easy to remove for now...

There are several more plugins that use Net::SNMP, but it turns out that the
main configure program also tries to use it. It's not however required, if it
can't load the module it just doesn't use any SNMP functionality. 

I could possibly remove the Net::SNMP checks and plugins, will investigate that... 
Or possibly package Net::SNMP. 

Comment 3 Kevin Fenzi 2005-12-12 23:24:16 EST
I looked at packaging Net::SNMP, but it requires perl-Crypt-DES, which has a BSD
with advertising License, so not sure it would be acceptable. 

I have also asked upstream about supporting net-snmp-perl (which is already in
core) instead of Net::SNMP. 

In the mean time I have made a new version that removes the DBD::Sybase and
Net:SNMP requirements. They can be added back in later when upstream supports
net-snmp-perl or perl-Net-SNMP is added to extras. 

new SPEC: http://www.scrye.com/~kevin/munin/munin.spec
new src.rpm: http://www.scrye.com/~kevin/munin/munin-1.2.4-2.fc5.src.rpm

diff of spec from last version: 

3c3
< Release:   1%{?dist}
---
> Release:   2%{?dist}
88c88
<       install-main install-node install-node-plugins install-doc install-man
---
>       install-main install-node-non-snmp install-node-plugins install-doc
install-man
107a108,115
> #
> # remove the Net::SNMP and Sybase plugins for now, as they need perl modules
> # that are not in extras. We can readd them when/if those modules are added.
> #
> rm -f %{buildroot}/usr/share/munin/plugins/pm3users_
> rm -f %{buildroot}/usr/share/munin/plugins/snmp_*
> rm -f %{buildroot}/usr/share/munin/plugins/sybase_space
>
202d209
< %{_sbindir}/munin-node-configure-snmp
217a225,227
> * Mon Dec 12 2005 Kevin Fenzi <kevin@tummy.com> - 1.2.4-2
> - Removed plugins that require Net-SNMP and Sybase
>
Comment 4 Ville Skyttä 2005-12-13 03:44:51 EST
perl-Crypt-DES is bug 168580
Comment 5 Paul Howarth 2005-12-13 04:07:24 EST
(In reply to comment #3)
> I looked at packaging Net::SNMP, but it requires perl-Crypt-DES, which has a BSD
> with advertising License, so not sure it would be acceptable.

perl-Crypt-DES is currently under review for Extras (Bug 168580) and I'd
appreciate some feedback on this license issue myself as the reviewer.
Comment 6 Ed Hill 2005-12-13 16:13:37 EST
The latest SRPM (munin-1.2.4-2.fc5.src.rpm) builds in mock on FC-4 and 
installs without any problems.  So, I don't think there are any blockers 
left here.

Assuming that the licenses are all acceptable, I think it would be nice for 
munin to support all of its plug-ins (inc. both the Sybase interface and the 
SNMP bits).  But they are, ultimately, just plug-ins -- not essential bits 
of functionality.  And, being plug-ins, they can be readily enabled as soon 
as the necessary supporting packages are included in Fedora.

So if the submitter agrees to work with others to help enable the plug-ins 
(that is, when the other packages are ready) then this package is APPROVED.
Comment 7 Kevin Fenzi 2005-12-13 21:58:01 EST
Surely. It would be nice to have the SNMP plugins in particular, but munin is
very useful without them. :) 

I would be happy to enable the plugins as soon as I can. 

Right now, that looks like two possibilities: 

- The license on perl-Crypt-DES is ok and it gets approved. Then, I can submit
perl-Net-SNMP and re-enable those plugins when that gets approved. 

- I talked with upstream and they are fine with switching to net-snmp-perl, but
would need patches to do so. I might have time over the holidays to look at that. 

Thanks for the approval. I will import and test on fc3/fc4 to see what branches
should be requested. 
Comment 8 Kevin Fenzi 2005-12-14 14:38:29 EST
imported and built on fc3/fc4/devel. 
Comment 9 Lubomir Kundrak 2008-04-21 07:10:35 EDT
I'd love to see this in EPEL, and be thankful if you could maintain it. If you
have a reason not to, I'll gladly do so. (similar request has been filed for
perl-HTML-Template, which is its only missing dependency to my knowledge).

Thanks!
Comment 10 Kevin Fenzi 2008-04-21 11:27:39 EDT
Yes, I have been working on getting all the perl deps in for the last few
months. ;) 

perl-HTML-Template is all thats left. ;) 

Note You need to log in before you can comment on or make changes to this bug.